i cant run vrep in pop!_os

Typically: "How do I... ", "How can I... " questions
Post Reply
oscar...ferrada
Posts: 2
Joined: 16 Jul 2019, 23:04

i cant run vrep in pop!_os

Post by oscar...ferrada » 18 Jul 2019, 18:12

Hello, I'm a novice in terms of simulating robots, even more in the use of Linux, but for something I should start.
What happens is that recently I installed pop! _os as my main OS and wanted to use vrep in this distro. Once downloaded version 3.6 and extracted on my desktop, I opened the terminal and ran the command: ./vrep.sh and got this:

oscar@pop-os:~/Descargas/V-REP$ ./vrep.sh
Loading the V-REP library...
Done!
Launching V-REP...

V-REP PRO EDU V3.6.2. (rev. 0)
Using the default Lua library.
Could not find or correctly load the video compression library.
Try following:

>sudo apt-get install libavcodec-dev libavformat-dev libswscale-dev
if above fails, try first:
>sudo apt-get -f install

Add-on script 'vrepAddOnScript-addOnScriptDemo.lua' was loaded.
Add-on script 'vrepAddOnScript-b0RemoteApiServer.lua' was loaded.
Add-on script 'vrepAddOnScript_PyRep.lua' was loaded.
If V-REP crashes now, try to install libgl1-mesa-dev on your system:
>sudo apt install libgl1-mesa-dev
OpenGL: Intel Open Source Technology Center, Renderer: Mesa DRI Intel(R) HD Graphics 400 (Braswell) , Version: 3.0 Mesa 18.2.8
...did not crash.
Simulator launched.
Plugin 'MeshCalc': loading...
Plugin 'MeshCalc': load succeeded.
Plugin 'Assimp': loading...
Plugin 'Assimp': warning: replaced variable 'simAssimp'
Plugin 'Assimp': load succeeded.
Plugin 'BlueZero': loading...
Plugin 'BlueZero': warning: replaced variable 'simB0'
Plugin 'BlueZero': load succeeded.
Plugin 'BubbleRob': loading...
Plugin 'BubbleRob': load succeeded.
Plugin 'Bwf': loading...
Plugin 'Bwf': load succeeded.
Plugin 'CodeEditor': loading...
Plugin 'CodeEditor': load succeeded.
Plugin 'Collada': loading...
Plugin 'Collada': load succeeded.
Plugin 'ConvexDecompose': loading...
Plugin 'ConvexDecompose': load succeeded.
Plugin 'CustomUI': loading...
Plugin 'CustomUI': warning: replaced variable 'simUI'
Plugin 'CustomUI': warning: replaced function 'simUI.insertTableRow@CustomUI'
Plugin 'CustomUI': warning: replaced function 'simUI.removeTableRow@CustomUI'
Plugin 'CustomUI': warning: replaced function 'simUI.insertTableColumn@CustomUI'
Plugin 'CustomUI': warning: replaced function 'simUI.removeTableColumn@CustomUI'
Plugin 'CustomUI': warning: replaced function 'simUI.setScene3DNodeParam@CustomUI'
Plugin 'CustomUI': load succeeded.
Plugin 'DynamicsBullet-2-78': loading...
Plugin 'DynamicsBullet-2-78': load succeeded.
Plugin 'DynamicsBullet-2-83': loading...
Plugin 'DynamicsBullet-2-83': load succeeded.
Plugin 'DynamicsNewton': loading...
Plugin 'DynamicsNewton': load succeeded.
Plugin 'DynamicsOde': loading...
Plugin 'DynamicsOde': load succeeded.
Plugin 'DynamicsVortex': loading...
./vrep.sh: línea 33: 3593 Instrucción ilegal (`core' generado) "$dirname/$appname" "${PARAMETERS[@]}"


To then close the vrep window, I could not even run.
Did the same thing happen to someone and could you help me with this?

fferri
Posts: 364
Joined: 09 Sep 2013, 19:28

Re: i cant run vrep in pop!_os

Post by fferri » 18 Jul 2019, 22:52

is the problem only with Vortex?
if you remove the libv_repExtDynamicsVortex.so file does it start?

oscar...ferrada
Posts: 2
Joined: 16 Jul 2019, 23:04

Re: i cant run vrep in pop!_os

Post by oscar...ferrada » 19 Jul 2019, 03:07

it worked! thank you very much man :))), I read the terminal wrong, my bad

Post Reply